Subject: Re: [openpgp] incomplete/confusing guidance around "Hash" Armor header for cleartext signing framework

From: Paul Wouters <[email-masked]>
Date: Sun, 2 May 2021 22:20:00 -0400 (EDT)

On Thu, 18 Mar 2021, Ángel wrote:

> On 2021-03-17 at 09:28 -0400, Daniel Kahn Gillmor wrote:
>> The current draft (and RFC 4880) seems internally inconsistent about
>> the
>> mandatory nature of the "Hash" armor header in the Cleartext Signing
>> Framwork section.
>>
>> In particular, it defines 'one or more "Hash" Armor Headers' as an
>> official part of what a clearsigned message looks like, but then it
>> discusses what it means when such a header is absent.
>
> And it was copied from rfc2440 as well.
>
> I think the phrase
>>      - One or more "Hash" Armor Headers,
> should have been
>>      - One or more Armor Headers,
>
>
> Then it covers other armor headers that may be present, such as
> "Charset:", and then it suddenly makes sense the following discussion
> about a missing Hash header.

I did not see (or miss?) other people agreeing or disagreeing on this
chance. Before I commit anything, I would like to know if the WG agrees.

Paul